Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -971,31 +944,31 @@
 	 * @param	integer		Record uid
 	 * @return	void
 	 */
-	function placeholderShadowing($table,$id)	{
+	function placeholderShadowing($table, $id) {
 		global $TCA;
 
 		t3lib_div::loadTCA($table);
-		if ($liveRec = t3lib_BEfunc::getLiveVersionOfRecord($table,$id,'*'))	{
+		if ($liveRec = t3lib_BEfunc::getLiveVersionOfRecord($table, $id, '*')) {
-			if ((int)$liveRec['t3ver_state']>0)	{
+			if ((int) $liveRec['t3ver_state'] > 0) {
-				$justStoredRecord = t3lib_BEfunc::getRecord($table,$id);
+				$justStoredRecord = t3lib_BEfunc::getRecord($table, $id);
 				$newRecord = array();
 
 				$shadowCols = $TCA[$table]['ctrl']['shadowColumnsForNewPlaceholders'];
-				$shadowCols.= ','.$TCA[$table]['ctrl']['languageField'];
+				$shadowCols .= ',' . $TCA[$table]['ctrl']['languageField'];
-				$shadowCols.= ','.$TCA[$table]['ctrl']['transOrigPointerField'];
+				$shadowCols .= ',' . $TCA[$table]['ctrl']['transOrigPointerField'];
-				$shadowCols.= ','.$TCA[$table]['ctrl']['type'];
+				$shadowCols .= ',' . $TCA[$table]['ctrl']['type'];
-				$shadowCols.= ','.$TCA[$table]['ctrl']['label'];
+				$shadowCols .= ',' . $TCA[$table]['ctrl']['label'];
 
-				$shadowColumns = array_unique(t3lib_div::trimExplode(',', $shadowCols,1));
+				$shadowColumns = array_unique(t3lib_div::trimExplode(',', $shadowCols, 1));
-				foreach($shadowColumns as $fieldName)	{
+				foreach ($shadowColumns as $fieldName) {
-					if (strcmp($justStoredRecord[$fieldName],$liveRec[$fieldName]) && isset($TCA[$table]['columns'][$fieldName]) && $fieldName!=='uid' && $fieldName!=='pid')	{
+					if (strcmp($justStoredRecord[$fieldName], $liveRec[$fieldName]) && isset($TCA[$table]['columns'][$fieldName]) && $fieldName !== 'uid' && $fieldName !== 'pid') {
 						$newRecord[$fieldName] = $justStoredRecord[$fieldName];
 					}
 				}
 
-				if (count($newRecord))	{
+				if (count($newRecord)) {
-					$this->newlog2('Shadowing done on fields <i>'.implode(',',array_keys($newRecord)).'</i> in placeholder record '.$table.':'.$liveRec['uid'].' (offline version UID='.$id.')', $table, $liveRec['uid'], $liveRec['pid']);
+					$this->newlog2('Shadowing done on fields <i>' . implode(',', array_keys($newRecord)) . '</i> in placeholder record ' . $table . ':' . $liveRec['uid'] . ' (offline version UID=' . $id . ')', $table, $liveRec['uid'], $liveRec['pid']);
-					$this->updateDB($table,$liveRec['uid'],$newRecord);
+					$this->updateDB($table, $liveRec['uid'], $newRecord);
 				}
 			}
 		}
@@ -1014,7 +987,7 @@
 	 * @param	integer		$tscPID: TSconfig PID
 	 * @return	array		Field Array
 	 */
-	function fillInFieldArray($table,$id,$fieldArray,$incomingFieldArray,$realPid,$status,$tscPID)	{
+	function fillInFieldArray($table, $id, $fieldArray, $incomingFieldArray, $realPid, $status, $tscPID) {
 		global $TCA;
 
 			// Initialize:
@@ -1024,59 +997,61 @@
 		$diffStorageFlag = FALSE;
 
 			// Setting 'currentRecord' and 'checkValueRecord':
-		if (strstr($id,'NEW'))	{
+		if (strstr($id, 'NEW')) {
-			$currentRecord = $checkValueRecord = $fieldArray;	// must have the 'current' array - not the values after processing below...
+			$currentRecord = $checkValueRecord = $fieldArray; // must have the 'current' array - not the values after processing below...
 
 				// IF $incomingFieldArray is an array, overlay it.
 				// The point is that when new records are created as copies with flex type fields there might be a field containing information about which DataStructure to use and without that information the flexforms cannot be correctly processed.... This should be OK since the $checkValueRecord is used by the flexform evaluation only anyways...
-			if (is_array($incomingFieldArray) && is_array($checkValueRecord))	{
+			if (is_array($incomingFieldArray) && is_array($checkValueRecord)) {
 				$checkValueRecord = t3lib_div::array_merge_recursive_overrule($checkValueRecord, $incomingFieldArray);
 			}
 		} else {
-			$currentRecord = $checkValueRecord = $this->recordInfo($table,$id,'*');	// We must use the current values as basis for this!
+			$currentRecord = $checkValueRecord = $this->recordInfo($table, $id, '*'); // We must use the current values as basis for this!
 
-			t3lib_BEfunc::fixVersioningPid($table,$currentRecord);	// This is done to make the pid positive for offline versions; Necessary to have diff-view for pages_language_overlay in workspaces.
+			t3lib_BEfunc::fixVersioningPid($table, $currentRecord); // This is done to make the pid positive for offline versions; Necessary to have diff-view for pages_language_overlay in workspaces.
 
 				// Get original language record if available:
 			if (is_array($currentRecord)
-					&& $TCA[$table]['ctrl']['transOrigDiffSourceField']
-					&& $TCA[$table]['ctrl']['languageField']
-					&& $currentRecord[$TCA[$table]['ctrl']['languageField']] > 0
-					&& $TCA[$table]['ctrl']['transOrigPointerField']
+				&& $TCA[$table]['ctrl']['transOrigDiffSourceField']
+				&& $TCA[$table]['ctrl']['languageField']
+				&& $currentRecord[$TCA[$table]['ctrl']['languageField']] > 0
+				&& $TCA[$table]['ctrl']['transOrigPointerField']
-					&& intval($currentRecord[$TCA[$table]['ctrl']['transOrigPointerField']]) > 0)	{
+				&& intval($currentRecord[$TCA[$table]['ctrl']['transOrigPointerField']]) > 0) {
 
 				$lookUpTable = $TCA[$table]['ctrl']['transOrigPointerTable'] ? $TCA[$table]['ctrl']['transOrigPointerTable'] : $table;
-				$originalLanguageRecord = $this->recordInfo($lookUpTable,$currentRecord[$TCA[$table]['ctrl']['transOrigPointerField']],'*');
+				$originalLanguageRecord = $this->recordInfo($lookUpTable, $currentRecord[$TCA[$table]['ctrl']['transOrigPointerField']], '*');
-				t3lib_BEfunc::workspaceOL($lookUpTable,$originalLanguageRecord);
+				t3lib_BEfunc::workspaceOL($lookUpTable, $originalLanguageRecord);
 				$originalLanguage_diffStorage = unserialize($currentRecord[$TCA[$table]['ctrl']['transOrigDiffSourceField']]);
 			}
 		}
 		$this->checkValue_currentRecord = $checkValueRecord;
 
-			/*
-				In the following all incoming value-fields are tested:
-				- Are the user allowed to change the field?
-				- Is the field uid/pid (which are already set)
-				- perms-fields for pages-table, then do special things...
-				- If the field is nothing of the above and the field is configured in TCA, the fieldvalues are evaluated by ->checkValue
+		/*
+			   In the following all incoming value-fields are tested:
+			   - Are the user allowed to change the field?
+			   - Is the field uid/pid (which are already set)
+			   - perms-fields for pages-table, then do special things...
+			   - If the field is nothing of the above and the field is configured in TCA, the fieldvalues are evaluated by ->checkValue
 
-				If everything is OK, the field is entered into $fieldArray[]
-			*/
+			   If everything is OK, the field is entered into $fieldArray[]
+		   */
-		foreach($incomingFieldArray as $field => $fieldValue)	{
+		foreach ($incomingFieldArray as $field => $fieldValue) {
-			if (!in_array($table.'-'.$field, $this->exclude_array) && !$this->data_disableFields[$table][$id][$field])	{	// The field must be editable.
+			if (!in_array($table . '-' . $field, $this->exclude_array) && !$this->data_disableFields[$table][$id][$field]) { // The field must be editable.
 
 					// Checking if a value for language can be changed:
 				$languageDeny = $TCA[$table]['ctrl']['languageField'] && !strcmp($TCA[$table]['ctrl']['languageField'], $field) && !$this->BE_USER->checkLanguageAccess($fieldValue);
 
-				if (!$languageDeny)	{
+				if (!$languageDeny) {
 						// Stripping slashes - will probably be removed the day $this->stripslashes_values is removed as an option...
-					if ($this->stripslashes_values)	{
+					if ($this->stripslashes_values) {
-						if (is_array($fieldValue))	{
+						if (is_array($fieldValue)) {
 							t3lib_div::stripSlashesOnArray($fieldValue);
-						} else $fieldValue = stripslashes($fieldValue);
+						} else {
+							$fieldValue = stripslashes($fieldValue);
-					}
+						}
+					}
 
-					switch ($field)	{
+					switch ($field) {
 						case 'uid':
 						case 'pid':
 							// Nothing happens, already set
@@ -1087,18 +1062,18 @@
 						case 'perms_group':
 						case 'perms_everybody':
 								// Permissions can be edited by the owner or the administrator
-							if ($table=='pages' && ($this->admin || $status=='new' || $this->pageInfo($id,'perms_userid')==$this->userid) )	{
+							if ($table == 'pages' && ($this->admin || $status == 'new' || $this->pageInfo($id, 'perms_userid') == $this->userid)) {
-								$value=intval($fieldValue);
+								$value = intval($fieldValue);
-								switch($field)	{
+								switch ($field) {
 									case 'perms_userid':
-										$fieldArray[$field]=$value;
+										$fieldArray[$field] = $value;
 									break;
 									case 'perms_groupid':
-										$fieldArray[$field]=$value;
+										$fieldArray[$field] = $value;
 									break;
 									default:
-										if ($value>=0 && $value<pow(2,5))	{
+										if ($value >= 0 && $value < pow(2, 5)) {
-											$fieldArray[$field]=$value;
+											$fieldArray[$field] = $value;
 										}
 									break;
 								}
@@ -1115,15 +1090,15 @@
 							// t3ver_label is not here because it CAN be edited as a regular field!
 						break;
 						default:
-							if (isset($TCA[$table]['columns'][$field]))	{
+							if (isset($TCA[$table]['columns'][$field])) {
 									// Evaluating the value
-								$res = $this->checkValue($table,$field,$fieldValue,$id,$status,$realPid,$tscPID);
+								$res = $this->checkValue($table, $field, $fieldValue, $id, $status, $realPid, $tscPID);
-								if (isset($res['value']))	{
+								if (isset($res['value'])) {
 									$fieldArray[$field] = $res['value'];
 								}
 
 									// Add the value of the original record to the diff-storage content:
-								if ($this->updateModeL10NdiffData && $TCA[$table]['ctrl']['transOrigDiffSourceField'])	{
+								if ($this->updateModeL10NdiffData && $TCA[$table]['ctrl']['transOrigDiffSourceField']) {
 									$originalLanguage_diffStorage[$field] = $this->updateModeL10NdiffDataClear ? '' : $originalLanguageRecord[$field];
 									$diffStorageFlag = TRUE;
 								}
@@ -1132,51 +1107,51 @@
 									// When a copy or version is made of a record, a search is made for any RTEmagic* images in fields having the "images" soft reference parser applied. That should be true for RTE fields. If any are found they are duplicated to new names and the file reference in the bodytext is updated accordingly.
 									// However, with auto-versioning the submitted content of the field will just overwrite the corrected values. This leaves a) lost RTEmagic files and b) creates a double reference to the old files.
 									// The only solution I can come up with is detecting when auto versioning happens, then see if any RTEmagic images was copied and if so make a stupid string-replace of the content !
-								if ($this->autoVersioningUpdate===TRUE)	{
+								if ($this->autoVersioningUpdate === TRUE) {
-									if (is_array($this->RTEmagic_copyIndex[$table][$id][$field]))	{
+									if (is_array($this->RTEmagic_copyIndex[$table][$id][$field])) {
-										foreach($this->RTEmagic_copyIndex[$table][$id][$field] as $oldRTEmagicName => $newRTEmagicName)	{
+										foreach ($this->RTEmagic_copyIndex[$table][$id][$field] as $oldRTEmagicName => $newRTEmagicName) {
-											$fieldArray[$field] = str_replace(' src="'.$oldRTEmagicName.'"',' src="'.$newRTEmagicName.'"',$fieldArray[$field]);
+											$fieldArray[$field] = str_replace(' src="' . $oldRTEmagicName . '"', ' src="' . $newRTEmagicName . '"', $fieldArray[$field]);
 										}
 									}
 								}
 
-							} elseif ($TCA[$table]['ctrl']['origUid']===$field) {	// Allow value for original UID to pass by...
+							} elseif ($TCA[$table]['ctrl']['origUid'] === $field) { // Allow value for original UID to pass by...
 								$fieldArray[$field] = $fieldValue;
 							}
 						break;
 					}
-				}	// Checking language.
+				} // Checking language.
-			}	// Check exclude fields / disabled fields...
+			} // Check exclude fields / disabled fields...
 		}
 			// Add diff-storage information:
-		if ($diffStorageFlag && !isset($fieldArray[$TCA[$table]['ctrl']['transOrigDiffSourceField']]))	{	// If the field is set it would probably be because of an undo-operation - in which case we should not update the field of course...
+		if ($diffStorageFlag && !isset($fieldArray[$TCA[$table]['ctrl']['transOrigDiffSourceField']])) { // If the field is set it would probably be because of an undo-operation - in which case we should not update the field of course...
-			 $fieldArray[$TCA[$table]['ctrl']['transOrigDiffSourceField']] = serialize($originalLanguage_diffStorage);
+			$fieldArray[$TCA[$table]['ctrl']['transOrigDiffSourceField']] = serialize($originalLanguage_diffStorage);
 		}
 
 			// Checking for RTE-transformations of fields:
-		$types_fieldConfig = t3lib_BEfunc::getTCAtypes($table,$currentRecord);
+		$types_fieldConfig = t3lib_BEfunc::getTCAtypes($table, $currentRecord);
-		$theTypeString = t3lib_BEfunc::getTCAtypeValue($table,$currentRecord);
+		$theTypeString = t3lib_BEfunc::getTCAtypeValue($table, $currentRecord);
-		if (is_array($types_fieldConfig))	{
+		if (is_array($types_fieldConfig)) {
 			foreach ($types_fieldConfig as $vconf) {
 					// Write file configuration:
-				$eFile = t3lib_parsehtml_proc::evalWriteFile($vconf['spec']['static_write'],array_merge($currentRecord,$fieldArray));	// inserted array_merge($currentRecord,$fieldArray) 170502
+				$eFile = t3lib_parsehtml_proc::evalWriteFile($vconf['spec']['static_write'], array_merge($currentRecord, $fieldArray)); // inserted array_merge($currentRecord,$fieldArray) 170502
 
 					// RTE transformations:
-				if (!$this->dontProcessTransformations)	{
+				if (!$this->dontProcessTransformations) {
-					if (isset($fieldArray[$vconf['field']]))	{
+					if (isset($fieldArray[$vconf['field']])) {
 							// Look for transformation flag:
-						switch((string)$incomingFieldArray['_TRANSFORM_'.$vconf['field']])	{
+						switch ((string) $incomingFieldArray['_TRANSFORM_' . $vconf['field']]) {
 							case 'RTE':
-								$RTEsetup = $this->BE_USER->getTSConfig('RTE',t3lib_BEfunc::getPagesTSconfig($tscPID));
+								$RTEsetup = $this->BE_USER->getTSConfig('RTE', t3lib_BEfunc::getPagesTSconfig($tscPID));
-								$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'],$table,$vconf['field'],$theTypeString);
+								$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'], $table, $vconf['field'], $theTypeString);
 
 									// Set alternative relative path for RTE images/links:
 								$RTErelPath = is_array($eFile) ? dirname($eFile['relEditFile']) : '';
 
 									// Get RTE object, draw form and set flag:
 								$RTEobj = t3lib_BEfunc::RTEgetObj();
-								if (is_object($RTEobj))	{
+								if (is_object($RTEobj)) {
-									$fieldArray[$vconf['field']] = $RTEobj->transformContent('db',$fieldArray[$vconf['field']],$table,$vconf['field'],$currentRecord,$vconf['spec'],$thisConfig,$RTErelPath,$currentRecord['pid']);
+									$fieldArray[$vconf['field']] = $RTEobj->transformContent('db', $fieldArray[$vconf['field']], $table, $vconf['field'], $currentRecord, $vconf['spec'], $thisConfig, $RTErelPath, $currentRecord['pid']);
 								} else {
 									debug('NO RTE OBJECT FOUND!');
 								}
@@ -1186,31 +1161,31 @@
 				}
 
 					// Write file configuration:
-				if (is_array($eFile))	{
+				if (is_array($eFile)) {
-					$mixedRec = array_merge($currentRecord,$fieldArray);
+					$mixedRec = array_merge($currentRecord, $fieldArray);
 					$SW_fileContent = t3lib_div::getUrl($eFile['editFile']);
 					$parseHTML = t3lib_div::makeInstance('t3lib_parsehtml_proc');
 					/* @var $parseHTML t3lib_parsehtml_proc */
-					$parseHTML->init('','');
+					$parseHTML->init('', '');
 
-					$eFileMarker = $eFile['markerField']&&trim($mixedRec[$eFile['markerField']]) ? trim($mixedRec[$eFile['markerField']]) : '###TYPO3_STATICFILE_EDIT###';
+					$eFileMarker = $eFile['markerField'] && trim($mixedRec[$eFile['markerField']]) ? trim($mixedRec[$eFile['markerField']]) : '###TYPO3_STATICFILE_EDIT###';
-					$insertContent = str_replace($eFileMarker,'',$mixedRec[$eFile['contentField']]);	// must replace the marker if present in content!
+					$insertContent = str_replace($eFileMarker, '', $mixedRec[$eFile['contentField']]); // must replace the marker if present in content!
 
-					$SW_fileNewContent = $parseHTML->substituteSubpart($SW_fileContent, $eFileMarker, LF.$insertContent.LF, 1, 1);
+					$SW_fileNewContent = $parseHTML->substituteSubpart($SW_fileContent, $eFileMarker, LF . $insertContent . LF, 1, 1);
-					t3lib_div::writeFile($eFile['editFile'],$SW_fileNewContent);
+					t3lib_div::writeFile($eFile['editFile'], $SW_fileNewContent);
 
 						// Write status:
-					if (!strstr($id,'NEW') && $eFile['statusField'])	{
+					if (!strstr($id, 'NEW') && $eFile['statusField']) {
 						$GLOBALS['TYPO3_DB']->exec_UPDATEquery(
 							$table,
-							'uid='.intval($id),
+							'uid=' . intval($id),
 							array(
-								$eFile['statusField'] => $eFile['relEditFile'].' updated '.date('d-m-Y H:i:s').', bytes '.strlen($mixedRec[$eFile['contentField']])
+								 $eFile['statusField'] => $eFile['relEditFile'] . ' updated ' . date('d-m-Y H:i:s') . ', bytes ' . strlen($mixedRec[$eFile['contentField']])
 							)
 						);
 					}
-				} elseif ($eFile && is_string($eFile))	{
+				} elseif ($eFile && is_string($eFile)) {
-					$this->log($table,$id,2,0,1,"Write-file error: '%s'",13,array($eFile),$realPid);
+					$this->log($table, $id, 2, 0, 1, "Write-file error: '%s'", 13, array($eFile), $realPid);
 				}
 			}
 		}
@@ -1219,16 +1194,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Evaluation of input values
@@ -1249,29 +1214,30 @@
 	 * @param	integer		$tscPID
 	 * @return	array		Returns the evaluated $value as key "value" in this array. Can be checked with isset($res['value']) ...
 	 */
-	function checkValue($table,$field,$value,$id,$status,$realPid,$tscPID)	{
+	function checkValue($table, $field, $value, $id, $status, $realPid, $tscPID) {
 		global $TCA, $PAGES_TYPES;
 		t3lib_div::loadTCA($table);
 
-		$res = Array();	// result array
+		$res = array(); // result array
-		$recFID = $table.':'.$id.':'.$field;
+		$recFID = $table . ':' . $id . ':' . $field;
 
 			// Processing special case of field pages.doktype
 		if (($table === 'pages' || $table === 'pages_language_overlay') && $field === 'doktype') {
 				// If the user may not use this specific doktype, we issue a warning
-			if (! ($this->admin || t3lib_div::inList($this->BE_USER->groupData['pagetypes_select'],$value)))	{
+			if (!($this->admin || t3lib_div::inList($this->BE_USER->groupData['pagetypes_select'], $value))) {
-				$propArr = $this->getRecordProperties($table,$id);
+				$propArr = $this->getRecordProperties($table, $id);
-				$this->log($table,$id,5,0,1,"You cannot change the 'doktype' of page '%s' to the desired value.",1,array($propArr['header']),$propArr['event_pid']);
+				$this->log($table, $id, 5, 0, 1, "You cannot change the 'doktype' of page '%s' to the desired value.", 1, array($propArr['header']), $propArr['event_pid']);
 				return $res;
-			};
+			}
+			;
-			if ($status=='update')	{
+			if ($status == 'update') {
 					// This checks 1) if we should check for disallowed tables and 2) if there are records from disallowed tables on the current page
 				$onlyAllowedTables = isset($PAGES_TYPES[$value]['onlyAllowedTables']) ? $PAGES_TYPES[$value]['onlyAllowedTables'] : $PAGES_TYPES['default']['onlyAllowedTables'];
-				if ($onlyAllowedTables)	{
+				if ($onlyAllowedTables) {
-					$theWrongTables = $this->doesPageHaveUnallowedTables($id,$value);
+					$theWrongTables = $this->doesPageHaveUnallowedTables($id, $value);
-					if ($theWrongTables)	{
+					if ($theWrongTables) {
-						$propArr = $this->getRecordProperties($table,$id);
+						$propArr = $this->getRecordProperties($table, $id);
-						$this->log($table,$id,5,0,1,"'doktype' of page '%s' could not be changed because the page contains records from disallowed tables; %s",2,array($propArr['header'],$theWrongTables),$propArr['event_pid']);
+						$this->log($table, $id, 5, 0, 1, "'doktype' of page '%s' could not be changed because the page contains records from disallowed tables; %s", 2, array($propArr['header'], $theWrongTables), $propArr['event_pid']);
 						return $res;
 					}
 				}
@@ -1279,14 +1245,14 @@
 		}
 
 			// Get current value:
-		$curValueRec = $this->recordInfo($table,$id,$field);
+		$curValueRec = $this->recordInfo($table, $id, $field);
 		$curValue = $curValueRec[$field];
 
 			// Getting config for the field
 		$tcaFieldConf = $TCA[$table]['columns'][$field]['config'];
 
 			// Preform processing:
-		$res = $this->checkValue_SW($res,$value,$tcaFieldConf,$table,$id,$curValue,$status,$realPid,$recFID,$field,$this->uploadedFileArray[$table][$id][$field],$tscPID);
+		$res = $this->checkValue_SW($res, $value, $tcaFieldConf, $table, $id, $curValue, $status, $realPid, $recFID, $field, $this->uploadedFileArray[$table][$id][$field], $tscPID);
 
 		return $res;
 	}
@@ -1309,37 +1275,37 @@
 	 * @param	[type]		$tscPID: ...
 	 * @return	array		Returns the evaluated $value as key "value" in this array.
 	 */
-	function checkValue_SW($res,$value,$tcaFieldConf,$table,$id,$curValue,$status,$realPid,$recFID,$field,$uploadedFiles,$tscPID)	{
+	function checkValue_SW($res, $value, $tcaFieldConf, $table, $id, $curValue, $status, $realPid, $recFID, $field, $uploadedFiles, $tscPID) {
 
-		$PP = array($table,$id,$curValue,$status,$realPid,$recFID,$tscPID);
+		$PP = array($table, $id, $curValue, $status, $realPid, $recFID, $tscPID);
 
 		switch ($tcaFieldConf['type']) {
 			case 'text':
-				$res = $this->checkValue_text($res,$value,$tcaFieldConf,$PP,$field);
+				$res = $this->checkValue_text($res, $value, $tcaFieldConf, $PP, $field);
 			break;
 			case 'passthrough':
 			case 'user':
 				$res['value'] = $value;
 			break;
 			case 'input':
-				$res = $this->checkValue_input($res,$value,$tcaFieldConf,$PP,$field);
+				$res = $this->checkValue_input($res, $value, $tcaFieldConf, $PP, $field);
 			break;
 			case 'check':
-				$res = $this->checkValue_check($res,$value,$tcaFieldConf,$PP);
+				$res = $this->checkValue_check($res, $value, $tcaFieldConf, $PP);
 			break;
 			case 'radio':
-				$res = $this->checkValue_radio($res,$value,$tcaFieldConf,$PP);
+				$res = $this->checkValue_radio($res, $value, $tcaFieldConf, $PP);
 			break;
 			case 'group':
 			case 'select':
-				$res = $this->checkValue_group_select($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field);
+				$res = $this->checkValue_group_select($res, $value, $tcaFieldConf, $PP, $uploadedFiles, $field);
 			break;
 			case 'inline':
-				$res = $this->checkValue_inline($res,$value,$tcaFieldConf,$PP,$field);
+				$res = $this->checkValue_inline($res, $value, $tcaFieldConf, $PP, $field);
-				break;
+			break;
 			case 'flex':
-				if ($field)	{	// FlexForms are only allowed for real fields.
+				if ($field) { // FlexForms are only allowed for real fields.
-					$res = $this->checkValue_flex($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field);
+					$res = $this->checkValue_flex($res, $value, $tcaFieldConf, $PP, $uploadedFiles, $field);
 				}
 			break;
 			default:
@@ -1361,9 +1327,9 @@
 	 * @param	string		Field name
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_text($res,$value,$tcaFieldConf,$PP,$field='')	{
+	function checkValue_text($res, $value, $tcaFieldConf, $PP, $field = '') {
-		$evalCodesArray = t3lib_div::trimExplode(',',$tcaFieldConf['eval'],1);
+		$evalCodesArray = t3lib_div::trimExplode(',', $tcaFieldConf['eval'], 1);
-		$res = $this->checkValue_text_Eval($value,$evalCodesArray,$tcaFieldConf['is_in']);
+		$res = $this->checkValue_text_Eval($value, $evalCodesArray, $tcaFieldConf['is_in']);
 		return $res;
 	}
 
@@ -1377,8 +1343,8 @@
 	 * @param	string		Field name
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_input($res,$value,$tcaFieldConf,$PP,$field='')	{
+	function checkValue_input($res, $value, $tcaFieldConf, $PP, $field = '') {
-		list($table,$id,$curValue,$status,$realPid,$recFID) = $PP;
+		list($table, $id, $curValue, $status, $realPid, $recFID) = $PP;
 
 			// Secures the string-length to be less than max.
 		if (intval($tcaFieldConf['max']) > 0) {
@@ -1386,22 +1352,26 @@
 		}
 
 			// Checking range of value:
-		if ($tcaFieldConf['range'] && $value!=$tcaFieldConf['checkbox'])	{	// If value is not set to the allowed checkbox-value then it is checked against the ranges
+		if ($tcaFieldConf['range'] && $value != $tcaFieldConf['checkbox']) { // If value is not set to the allowed checkbox-value then it is checked against the ranges
-			if (isset($tcaFieldConf['range']['upper'])&&$value>$tcaFieldConf['range']['upper'])	{$value=$tcaFieldConf['range']['upper'];}
-			if (isset($tcaFieldConf['range']['lower'])&&$value<$tcaFieldConf['range']['lower'])	{$value=$tcaFieldConf['range']['lower'];}
+			if (isset($tcaFieldConf['range']['upper']) && $value > $tcaFieldConf['range']['upper']) {
+				$value = $tcaFieldConf['range']['upper'];
-		}
+			}
+			if (isset($tcaFieldConf['range']['lower']) && $value < $tcaFieldConf['range']['lower']) {
+				$value = $tcaFieldConf['range']['lower'];
+			}
+		}
 
 			// Process evaluation settings:
-		$evalCodesArray = t3lib_div::trimExplode(',',$tcaFieldConf['eval'],1);
+		$evalCodesArray = t3lib_div::trimExplode(',', $tcaFieldConf['eval'], 1);
-		$res = $this->checkValue_input_Eval($value,$evalCodesArray,$tcaFieldConf['is_in']);
+		$res = $this->checkValue_input_Eval($value, $evalCodesArray, $tcaFieldConf['is_in']);
 
 			// Process UNIQUE settings:
-		if ($field && $realPid>=0)	{	// Field is NOT set for flexForms - which also means that uniqueInPid and unique is NOT available for flexForm fields! Also getUnique should not be done for versioning and if PID is -1 ($realPid<0) then versioning is happening...
+		if ($field && $realPid >= 0) { // Field is NOT set for flexForms - which also means that uniqueInPid and unique is NOT available for flexForm fields! Also getUnique should not be done for versioning and if PID is -1 ($realPid<0) then versioning is happening...
-			if ($res['value'] && in_array('uniqueInPid',$evalCodesArray))	{
+			if ($res['value'] && in_array('uniqueInPid', $evalCodesArray)) {
-				$res['value'] = $this->getUnique($table,$field,$res['value'],$id,$realPid);
+				$res['value'] = $this->getUnique($table, $field, $res['value'], $id, $realPid);
 			}
-			if ($res['value'] && in_array('unique',$evalCodesArray))	{
+			if ($res['value'] && in_array('unique', $evalCodesArray)) {
-				$res['value'] = $this->getUnique($table,$field,$res['value'],$id);
+				$res['value'] = $this->getUnique($table, $field, $res['value'], $id);
 			}
 		}
 
@@ -1417,15 +1387,21 @@
 	 * @param	array		Additional parameters in a numeric array: $table,$id,$curValue,$status,$realPid,$recFID
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_check($res,$value,$tcaFieldConf,$PP)	{
+	function checkValue_check($res, $value, $tcaFieldConf, $PP) {
-		list($table,$id,$curValue,$status,$realPid,$recFID) = $PP;
+		list($table, $id, $curValue, $status, $realPid, $recFID) = $PP;
 
 		$itemC = count($tcaFieldConf['items']);
-		if (!$itemC)	{$itemC=1;}
+		if (!$itemC) {
+			$itemC = 1;
+		}
-		$maxV = pow(2,$itemC);
+		$maxV = pow(2, $itemC);
 
-		if ($value<0)	{$value=0;}
-		if ($value>$maxV)	{$value=$maxV;}
+		if ($value < 0) {
+			$value = 0;
+		}
+		if ($value > $maxV) {
+			$value = $maxV;
+		}
 		$res['value'] = $value;
 
 		return $res;
@@ -1440,12 +1416,12 @@
 	 * @param	array		Additional parameters in a numeric array: $table,$id,$curValue,$status,$realPid,$recFID
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_radio($res,$value,$tcaFieldConf,$PP)	{
+	function checkValue_radio($res, $value, $tcaFieldConf, $PP) {
-		list($table,$id,$curValue,$status,$realPid,$recFID) = $PP;
+		list($table, $id, $curValue, $status, $realPid, $recFID) = $PP;
 
-		if (is_array($tcaFieldConf['items']))	{
+		if (is_array($tcaFieldConf['items'])) {
-			foreach($tcaFieldConf['items'] as $set)	{
+			foreach ($tcaFieldConf['items'] as $set) {
-				if (!strcmp($set[1],$value))	{
+				if (!strcmp($set[1], $value)) {
 					$res['value'] = $value;
 					break;
 				}
@@ -1466,13 +1442,13 @@
 	 * @param	string		Field name
 	 * @return	array		Modified $res array
 	 */
-	function checkValue_group_select($res,$value,$tcaFieldConf,$PP,$uploadedFiles,$field)	{
+	function checkValue_group_select($res, $value, $tcaFieldConf, $PP, $uploadedFiles, $field) {
 
-		list($table,$id,$curValue,$status,$realPid,$recFID) = $PP;
+		list($table, $id, $curValue, $status, $realPid, $recFID) = $PP;
 
 			// Detecting if value sent is an array and if so, implode it around a comma:
-		if (is_array($value))	{
+		if (is_array($value)) {
-			$value = implode(',',$value);
+			$value = implode(',', $value);
 		}
 
 			// This converts all occurencies of '&#123;' to the byte 123 in the string - this is needed in very rare cases where filenames with special characters (like ???, umlaud etc) gets sent to the server as HTML entities instead of bytes. The error is done only by MSIE, not Mozilla and Opera.
